    The XSPEC nsagrav model: NS H atmosphere model for different g.

xsnsagrav
The xsnsagrav model is an additive model component.

The model is described at [1] .

>>> create_model_component("xsnsagrav", "mdl")
>>> print(mdl)

Create a component of the xsnsagrav model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.LogT_eff thawed 6 5.5 6.5 K mdl.NSmass thawed 1.4 0.3 2.5 Msun mdl.NSrad thawed 10 6 20 km mdl.norm thawed 1 0 1e+24

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
LogT_eff
The log of Teff, the unredshifted effective temperature.
NSmass
The neutron star gravitational mass, in units of the solar mass.
NSrad
The "true" neutron star radius, in km.
norm
The normalization is 1/D^2, where D is the distance to the neutron star in pc.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelNsagrav.html

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023